Cancel a Bundle

post

/subscriptions/cancel/bundle

Cancels the bundle associated with the account or service that is passed in the request payload.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/xml ()
Root Schema : schema
Type: object
Show Source
Nested Schema : ResourceRef
Type: object
Show Source
Nested Schema : extension
Type: object
The extended attributes.
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : ResourceRef
Type: object
Show Source
Nested Schema : extension
Type: object
The extended attributes.
Back to Top

Response

200 Response

The bundle was canceled successfully.

400 Response

BAD REQUEST (400) on null Account Id/Service Id/Deal Id

500 Response

An internal server error occurred.
Back to Top

Examples

This example shows how to cancel a bundle by submitting a POST request on the REST resource using cURL. For more information about cURL, see "Use cURL".

cURL Command

curl -X POST 'http://hostname:port/bcws/webresources/v1.0/subscriptions/cancel/bundle' -H 'content-type: application/json' -d @cancelBun.json

where:

  • hostname is the URL for the Billing Care REST server.
  • port is the port for the Billing Care REST server.
  • version is the version of the API you're using, such as v1.0.
  • cancelBundle.json is the JSON file that specifies the event dispute to create.

Example of Request Body

This example shows the contents of the createDispute.json file sent as the request body.

{
   "dealRef":{
      "id":"0.0.0.1+-deal+41056",
      "uri":null
   },
   "serviceRef":{
      "id":"0.0.0.1+-service-email+175025",
      "uri":null
   },
   "accountRef":{
      "id":"0.0.0.1+-account+174257",
      "uri":null
   },
   "description":"Charges monthly for 1 email account.",
   "packageId":1
}

Example of Response Body

If successful, the response code 200 is returned with the following response body:
{
true
}
Back to Top